%global srcname Flask-DebugToolbar
%global pkgname flask-debugtoolbar
%global sum A port of the Django debug toolbar to Flask
%global desc A port of the Django debug toolbar to Flask

Name:           python-%{pkgname}
Version:        0.10.0
Release:        10%{?dist}
Summary:        %{sum}

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://pypi.python.org/packages/source/F/%{srcname}/%{srcname}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/mgood/%{pkgname}/%{version}/LICENSE
Source2:        https://raw.githubusercontent.com/mgood/%{pkgname}/%{version}/CHANGES.rst

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-flask
BuildRequires:  python2-werkzeug
BuildRequires:  python2-itsdangerous
BuildRequires:  python2-blinker
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-flask
BuildRequires:  python3-werkzeug
BuildRequires:  python3-itsdangerous
BuildRequires:  python3-blinker

%description
%{desc}

%package -n python2-%{pkgname}
Summary: %{sum}
%{?python_provide:%python_provide python2-%{pkgname}}

%description -n python2-%{pkgname}
%{desc}

%package -n python3-%{pkgname}
Summary: %{sum}
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
%{desc}

%prep
%setup -qn %{srcname}-%{version}
cp -p %SOURCE1 .
cp -p %SOURCE2 .
find -name "*.html" -o -name "*.js" | xargs chmod +r-w-x

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{pkgname}
%doc README.rst CHANGES.rst
%license LICENSE
%{python2_sitelib}/flask_debugtoolbar
%{python2_sitelib}/Flask_DebugToolbar-*.egg-info

%files -n python3-%{pkgname}
%doc README.rst CHANGES.rst
%license LICENSE
%{python3_sitelib}/flask_debugtoolbar
%{python3_sitelib}/Flask_DebugToolbar-*.egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.10.0-9
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.10.0-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.10.0-4
- Rebuild for Python 3.6

* Wed Jul 27 2016 Athos Coimbra Ribeiro <ribeiro@fedoraproject.org> - 0.10.0-3
- Use the license macro for LICENSE file
- Add a macro for the package name

* Tue Jul 26 2016 Athos Coimbra Ribeiro <ribeiro@fedoraproject.org> - 0.10.0-2
- Fix subpackages names by removing capital letters
- Fix changelog versions

* Fri Jul 22 2016 Athos Coimbra Ribeiro <ribeiro@fedoraproject.org> - 0.10.0-1
- Add python 2 and 3 subpackages
- Update to latest upstream version
- Fetch LICENSE and CHANGES files from correct tags instead of master

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 18 2015 Yohan Graterol <yohangraterol92@gmail.com> - 0.9.2-1
- Update version.
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Mar 29 2014 Yohan Graterol <yohangraterol92@gmail.com> - 0.9
- New Release
* Fri Aug 09 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.8-2
- Add CHANGE in doc
* Tue Aug 06 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.8-1
- Initial Packaging
